Subject: Object accessor could work for associative arrays
Description

I'm not exactly sure if this is a bug or a missing feature:

The manual (http://flow3.typo3.org/documentation/manuals/fluid/fluid.usermanual/#d0e161) states that it is possible to traverse
associative arrays with the object accessor syntax.

I thought it should be used like this (correct my if I'm mistaken):
$foo = array('bar' => array('baz' => 'value'));
$this->view->assign('foo', $foo);
And in Fluid:
{foo.bar.baz}
Which would result in:
value

This does not work though (r4040). The problem seems to be in Parser/SyntaxTree/ObjectAccessorNode.php. There, either the
property of an object is resolved or the variable is directly returned.

Applied patch adds the functionality to traverse associative arrays. It's probably not the cleanest solution though ...

Related issues:
related to TYPO3.Flow - Feature # 6390: ObjectAccess::getPropertyPath doesn't... Resolved 2010-04-16

History
#1 - 2010-04-16 13:27 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Sebastian Kurfuerst
- % Done changed from 0 to 50

For Fluid 4.x the fix for #6390 has to be applied to Extbase.

#2 - 2010-06-18 10:12 - Sebastian Kurfuerst
- Assigned To deleted (Sebastian Kurfuerst)

#3 - 2011-05-06 10:26 - Sebastian Kurfuerst
- Status changed from Accepted to Resolved

resolved.
